classification
Title: imp doc should direct to importlib
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: brett.cannon, docs@python, eric.snow, ktran13, merwok, python-dev, r.david.murray
Priority: normal Keywords: easy, patch

Created on 2013-02-05 16:09 by merwok, last changed 2013-04-18 13:54 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
patch.diff ktran13, 2013-04-06 20:50 Patch for imp.rst review
Messages (7)
msg181450 - (view) Author: √Čric Araujo (merwok) * (Python committer) Date: 2013-02-05 16:09
Title says it all.
msg181480 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2013-02-05 20:32
Agreed.  It should also link to the new import section in the language reference rather than to the import statement.
msg186165 - (view) Author: Kristian (ktran13) Date: 2013-04-06 20:50
Here is the patch for this bug... Enjoy! I would be happy to work on this further if there are any problems or questions! Thanks!
msg186950 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-04-14 20:38
Thanks, Kristian.  The 3.x docs were a "fresh start", so if we want to mark something as deprecated it would be a Python3 version number, the number current at the time of the deprecation.

There is another open issue, 17177, that speaks specifically about deprecating the module, but it sounds like a documentation deprecation to start with is a good idea; I believe that at this point all the imp functions can be replicated with suitable importlib calls (Eric can correct me if I'm wrong).  It would thus be as of version 3.4, at this point, since we didn't do it before the 3.3 release.

This issue also mentions linking to "importlib instead of the import statement", which refers to the ':keyword:`import`' statement in the title.

Do you want to resubmit the patch with those changes?  Otherwise I can just make them when I commit it.
msg187214 - (view) Author: Roundup Robot (python-dev) Date: 2013-04-17 22:51
New changeset f22c463ce73c by R David Murray in branch 'default':
#17135: mark imp as deprecated as of 3.4.
http://hg.python.org/cpython/rev/f22c463ce73c
msg187249 - (view) Author: Roundup Robot (python-dev) Date: 2013-04-18 13:53
New changeset 8f15a46a8c76 by R David Murray in branch '3.3':
#17135: Add note in imp to use importlib for new programs.
http://hg.python.org/cpython/rev/8f15a46a8c76
msg187250 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-04-18 13:54
Thanks, Kristian.
History
Date User Action Args
2013-04-18 13:54:33r.david.murraysetstatus: open -> closed
versions: - Python 2.7
messages: + msg187250

resolution: fixed
stage: needs patch -> resolved
2013-04-18 13:53:51python-devsetmessages: + msg187249
2013-04-17 22:51:26python-devsetnosy: + python-dev
messages: + msg187214
2013-04-14 20:38:51r.david.murraysetnosy: + r.david.murray
messages: + msg186950
2013-04-06 20:50:04ktran13setfiles: + patch.diff

nosy: + ktran13
messages: + msg186165

keywords: + patch
2013-02-14 13:32:25ezio.melottisetversions: + Python 2.7, - Python 3.1
nosy: + brett.cannon

keywords: + easy
type: enhancement
stage: needs patch
2013-02-05 20:32:35eric.snowsetnosy: + eric.snow
messages: + msg181480
2013-02-05 16:09:41merwokcreate